Retrieves the list of Portfolio Manager properties available for linking
Use this endpoint to get properties from the connected Portfolio Manager account.
Set includeOnlyUnlinked to true to see only properties not yet linked to EnergyCAP places.
Set verbose to false for faster response with only ID and name (use type and floor area will be null).
Requires ENERGY STAR to be configured. Requires Buildings and Organizations View permission.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| includeOnlyUnlinked | When true, returns only properties not yet linked to an EnergyCAP place | boolean | Optional |
| verbose | When true (default), includes property use type, floor area, and floor area units from Portfolio Manager. When false, only retrieves ID and name for faster performance | boolean | Optional |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
EnergyStarPmProperty
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| place | PlaceChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeSize | PlaceSizeChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceSizeChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pmFloorArea | The Portfolio Manager floor area null when not linked to portfolio manager property | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pmFloorAreaUnits | The Portfolio Manager floor area units null when not linked to a portfolio manager property | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pmPropertyId | The Portfolio Manager property identifier null when not linked to a portfolio manager property | integer (int64) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pmPropertyName | The Portfolio Manager property name null when not linked to a portfolio manager property | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pmPropertyUseType | The Portfolio Manager property use type null when not linked to a portfolio manager property | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
[
{ "place": { "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": {}
}, "placeSize": { "beginDate": "2026-06-29", "endDate": "2026-06-29", "placeSizeId": 1, "unitCode": "string", "unitId": 1, "unitInfo": "string", "value": 1.0
}, "pmFloorArea": 1, "pmFloorAreaUnits": "string", "pmPropertyId": 1, "pmPropertyName": "string", "pmPropertyUseType": "string"
}
]